version: '3.8'

services:
  postgres:
    image: postgres:13-alpine
    environment:
      POSTGRES_PASSWORD: "crispdm"
      POSTGRES_USER: "indas2"
      POSTGRES_DB: connector_pins
      PGDATA: /data/postgres
    volumes:
      - postgres:/data/postgres
      - ./init.sql:/docker-entrypoint-initdb.d/init.sql
    ports:
      - "5432:5432"
    restart: unless-stopped
  pgadmin:
    image: dpage/pgadmin4:4.22
    environment:
        PGADMIN_DEFAULT_EMAIL: indas2@tu-dortmund.de
        PGADMIN_DEFAULT_PASSWORD: crispdm
    volumes:
       - pgadmin:/root/.pgadmin
    ports:
      - "8443:80"
    restart: unless-stopped
  image_upload:
    build: .
    depends_on: 
      - postgres
    volumes:
      - ../dataset:/dataset
  grafana:
    image: grafana/grafana:master
    volumes:
      - grafana-storage:/var/lib/grafana
    ports:
      - 3000:3000
    environment:
      - "GF_EXPLORE_ENABLED=true"
    restart: on-failure    
volumes:
    postgres:
    pgadmin:
    grafana-storage: